﻿Siddhi IO HL7
======================================

[![Jenkins Build Status](https://wso2.org/jenkins/job/siddhi/job/siddhi-io-hl7/badge/icon)](https://wso2.org/jenkins/job/siddhi/job/siddhi-io-hl7/)
[![GitHub Release](https://img.shields.io/github/release/siddhi-io/siddhi-io-hl7.svg)](https://github.com/siddhi-io/siddhi-io-hl7/releases)
[![GitHub Release Date](https://img.shields.io/github/release-date/siddhi-io/siddhi-io-hl7.svg)](https://github.com/siddhi-io/siddhi-io-hl7/releases)
[![GitHub Open Issues](https://img.shields.io/github/issues-raw/siddhi-io/siddhi-io-hl7.svg)](https://github.com/siddhi-io/siddhi-io-hl7/issues)
[![GitHub Last Commit](https://img.shields.io/github/last-commit/siddhi-io/siddhi-io-hl7.svg)](https://github.com/siddhi-io/siddhi-io-hl7/commits/master)
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

The **siddhi-io-hl7 extension** transmits  <a target="_blank" href="http://www.hl7.org/about/index.cfm?ref=common">Health Level 7 International</a> (HL7) messages. This uses the HAPI parser that supports HL7 V 2.x messages, to provide HL7 support.

For information on <a target="_blank" href="https://siddhi.io/">Siddhi</a> and it's features refer <a target="_blank" href="https://siddhi.io/redirect/docs.html">Siddhi Documentation</a>. 

## Downloads

* Versions 3.x and above with group id `io.siddhi.extension.*` from <a target="_blank" href="https://mvnrepository.com/artifact/io.siddhi.extension.io.hl7/siddhi-io-hl7/">here</a>.
* Versions 2.x and lower with group id `org.wso2.extension.siddhi.` from  <a target="_blank" href="https://mvnrepository.com/artifact/org.wso2.extension.siddhi.io.hl7/siddhi-io-hl7">here</a>.

## Latest API Docs

Latest API Docs is <a target="_blank" href="https://siddhi-io.github.io/siddhi-io-hl7/api/2.0.0">2.0.0</a>.

## Features

* <a target="_blank" href="https://siddhi-io.github.io/siddhi-io-hl7/api/2.0.0/#hl7-sink">hl7</a> *<a target="_blank" href="http://siddhi.io/documentation/siddhi-5.x/query-guide-5.x/#sink">(Sink)</a>*<br><div style="padding-left: 1em;"><p>The hl7 sink pushes the events into a hl7 broker using the AMQP protocol</p></div>
* <a target="_blank" href="https://siddhi-io.github.io/siddhi-io-hl7/api/2.0.0/#hl7-source">hl7</a> *<a target="_blank" href="http://siddhi.io/documentation/siddhi-5.x/query-guide-5.x/#source">(Source)</a>*<br><div style="padding-left: 1em;"><p>The hl7 source receives the events from the hl7 broker via the AMQP protocol. </p></div>

## Dependencies

There are no other dependencies needed for this extension.

## Installation

For installing this extension on various siddhi execution environments refer Siddhi documentation section on <a target="_blank" href="https://siddhi.io/redirect/add-extensions.html">adding extensions</a>.

# Support and Contribution

* We encourage users to ask questions and get support via <a target="_blank" href="https://stackoverflow.com/questions/tagged/siddhi">StackOverflow</a>, make sure to add the `siddhi` tag to the issue for better response.
* If you find any issues related to the extension please report them on <a target="_blank" href="https://github.com/siddhi-io/siddhi-execution-string/issues">the issue tracker</a>.
* For production support and other contribution related information refer <a target="_blank" href="https://siddhi.io/community/">Siddhi Community</a> documentation.
